### 設定ファイルでの共通項目

int getDebugFlgFromConf();

###
char *getSettingDBHost()
char *getSettingDBUser()
char *getSettingDBPass()
int getSettingDBPort()
char *getSettingDBName()
char *getSettingDBInfoName()


### 帳票関数
char *getSettingPrintBasePath();
char *getSettingPrintTempPath();
int setSettingPrintTempPath(char *setPathName);
int getSettingPrintMaxObj();
int getSettingPrintMaxPage();
int getSettingPrintFlg();



###
//DBの設定(長さ制限の倍まで取れるようにしておく(mysqlの仕様を基準とする))
static char PR_db_server[128];
static char PR_db_user[34];
static char PR_db_password[130];
static char PR_db_database[130];q
static char PR_db_info_database[130];
static int  PR_db_port;


isPrintFlg
###
//pdfのオブジェクトのプロパティ
static int PR_currentLine = 0;               //次に書き込みする行番号
static int PR_currentPage = 0;                      //現在書き込み中のページ番号(0を飛ばして使うとなっている)
static int PR_currentObj = 0;                       //現在書き込み中のファイル番号
static int PR_maxPage     = 0;                      //ファイル番号の最大
static int PR_maxObj      = 0;                      //ファイル番号の最大
static char PR_temppath[FILE_LENGTH] = "";			//作成されるpdfの名前
static char PR_tempname[FILE_LENGTH] = "";			//作成されるpdfの名前
static char PR_bindname[FILE_LENGTH] = "";			//結合後のpdfの名前
static char PR_basepath[FILE_LENGTH] = "";			//背景となるpdfまでのパス
static char PR_basename[FILE_LENGTH] = "";			//背景となるpdfの名前
static char PR_CCbasepath[FILE_LENGTH] = "";		//複写用の背景となるpdfパス
static char PR_printername[31] = "";


### 
typedef struct commonSettingConfig
{
	// -------------------------------------- key-valueの設定情報
	char memc_hostname[INFO_HOST_LEN];
	int memc_portnum;
	// -------------------------------------- DBの設定情報
	// データベースのホスト名
	char database_hostname[INFO_HOST_LEN];
	// データベースのログインユーザ名
	char database_username[DB_USER_LEN];
	// データベースのログインパスワード
	char database_password[DB_INFO_LEN];
	// データベースの接続ポート名
	int database_portnum;
	// 処理のメインとなるデータベース名
	char database_mainname[DB_INFO_LEN];
	// 管理情報を置いているデータベース名
	char database_infoname[DB_INFO_LEN];
	// メインデータベースのカラム区切りを置くテーブル名
	char database_item_tbl[DB_AND_TABLENAME_STRLEN + 1];
	// テーブルの操作状況を保存するテーブル名
	char database_manage_tbl[DB_AND_TABLENAME_STRLEN + 1];
	// テーブル名の読み替えを管理するテーブル名
	char database_relpl_tbl[DB_AND_TABLENAME_STRLEN + 1];
	// ------------------------------------------ printer
	// ベースとなるファイルの設置パス
	char print_basepath[FILE_LENGTH];
	// temporary ファイルの出力領域
	char print_temppath[FILE_LENGTH];
	// 出力するファイル数の最大: これを超えたら一旦ファイルオブジェクトをリセット(未使用？)
	int print_max_object;
	// 出力するファイルに入る最大のページ数:これを超えたらファイルを作り直し
	int print_max_page;
	// 印刷をするかどうかを示す印刷を止めるときにはフラグを落とす
	int is_print_flg;
	// ------------------------------------------ COMMON
	// デバッグフラグ:bit列の10進数変換で値を決めている
	int conf_debug_flg;

} commonSettingConfig;



const char* PR_OBJ_MAX   = "prnObjMax";
static int PR_maxPage     = 0;                      //ファイル番号の最大
				// 	prMyConfDebugFlg = atoi(node->content);
myConfDebugFlg

	isPrintFlg = 0;

####

				// 設定ファイルから背景のパスを取得
				if (strcmp(node->parent->name, PR_BASE_PATH) == 0)
				{
					// 後で後ろにファイル名をつなぐ
					strcpy(commonConfigObj->print_basepath, node->content);
				}
				// 設定ファイルからファイル数の最大を取得
				if (strcmp(node->parent->name, PR_OBJ_MAX) == 0)
				{
					// 後で後ろにファイル名をつなぐ
					commonConfigObj->print_max_object = atoi(node->content);
				}
				
				
	//設定の読み込み(グローバル変数へ格納)
	PR_conf_read();